* integrate apache package.
[citadel.git] / webcit / debian / webcit.init
index a9b0f1b9576dc4f04322a70108bcbe0ad327d47e..3e3521ba41f758cf7cfee67f7757c4f7e87a7590 100644 (file)
@@ -71,8 +71,6 @@ do_start()
            mkdir -p $LOGDIR
        fi
 
-
-
        # are we disabled?
        if test "$1" -lt "0"; then
            return 0
@@ -88,9 +86,6 @@ do_start()
        else
            return 2
        fi
-       # Add code here, if necessary, that waits for the process to be ready
-       # to handle requests from services started subsequently which depend
-       # on this one.  As a last resort, sleep for some time.
 }
 
 #
@@ -98,47 +93,13 @@ do_start()
 #
 do_stop()
 {
-       # Return
-       #   0 if daemon has been stopped
-       #   1 if daemon was already stopped
-       #   2 if daemon could not be stopped
-       #   other if a failure occurred
-
         for i in $PIDFILE.*; do if test -f $i; then
            kill `cat $i`
            rm -f $i
        fi; done
-
-       #while test -d /proc/`cat $PIDFILE`; do
-       #    /usr/bin/printf  '.'
-       #    /bin/sleep 1
-       #done
-       #start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
-       #RETVAL="$?"
-       #[ "$RETVAL" = 2 ] && return 2
-       # Wait for children to finish too if this is a daemon that forks
-       # and if the daemon is only ever run from this initscript.
-       # If the above conditions are not satisfied then add some other code
-       # that waits for the process to drop all resources that could be
-       # needed by services started subsequently.  A last resort is to
-       # sleep for some time.
-       #start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-       #[ "$?" = 2 ] && return 2
-       # Many daemons don't delete their pidfiles when they exit.
-       # rm -f $PIDFILE
 }
 
-#
-# Function that sends a SIGHUP to the daemon/service
-#
 do_reload() {
-       #
-       # If the daemon can reload its configuration without
-       # restarting (for example, when it is sent a SIGHUP),
-       # then implement that here.
-       #
-#      start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
         do_stop
         do_start
        return 0
@@ -176,20 +137,7 @@ case "$1" in
            esac
        fi
        ;;
-  #reload|force-reload)
-       #
-       # If do_reload() is not implemented then leave this commented out
-       # and leave 'force-reload' as an alias for 'restart'.
-       #
-       #log_daemon_msg "Reloading $DESC" "$NAME"
-       #do_reload
-       #log_end_msg $?
-       #;;
   restart|force-reload)
-       #
-       # If the "reload" option is implemented then remove the
-       # 'force-reload' alias
-       #
        if test -n "$MODERN"; then
        log_daemon_msg "Restarting $DESC" "$NAME"
        else
@@ -213,10 +161,11 @@ case "$1" in
                    log_end_msg 1
                    ;;
            esac
+       else
+           do_start
        fi
        ;;
   *)
-       #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 3
        ;;